Bug 230017 - [GTK] http/wpt/cross-origin-opener-policy/non-secure-to-secure-context-navigation.https.html is flaky
Summary: [GTK] http/wpt/cross-origin-opener-policy/non-secure-to-secure-context-naviga...
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-07 12:51 PDT by Arcady Goldmints-Orlov
Modified: 2021-09-07 12:51 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arcady Goldmints-Orlov 2021-09-07 12:51:28 PDT
This test fails on GTK but only sometimes, as folows:

--- /home/buildbot/worker/gtk-linux-64-release-skip-failing-tests/build/layout-test-results/http/wpt/cross-origin-opener-policy/non-secure-to-secure-context-navigation.https-expected.txt
+++ /home/buildbot/worker/gtk-linux-64-release-skip-failing-tests/build/layout-test-results/http/wpt/cross-origin-opener-policy/non-secure-to-secure-context-navigation.https-actual.txt
@@ -1,3 +1,3 @@
 
-PASS Make sure that COOP causes a browsing context group switch when navigating from a secure context to a non-secure one
+FAIL Make sure that COOP causes a browsing context group switch when navigating from a secure context to a non-secure one assert_true: Window should be closed expected true got false